Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class VisitorSupport

    java.lang.Object
      org.jaxen.expr.VisitorSupport

All Implemented Interfaces:
  Visitor

public class VisitorSupport
extends Object
implements Visitor

Constructor Summary
`VisitorSupport()`

Method Summary
`void` | `visit(AdditiveExpr expr)`
`void` | `visit(AllNodeStep step)`
`void` | `visit(CommentNodeStep step)`
`void` | `visit(EqualityExpr expr)`
`void` | `visit(FilterExpr expr)`
`void` | `visit(FunctionCallExpr expr)`
`void` | `visit(LiteralExpr expr)`
`void` | `visit(LocationPath path)`
`void` | `visit(LogicalExpr expr)`
`void` | `visit(MultiplicativeExpr expr)`
`void` | `visit(NameStep step)`
`void` | `visit(NumberExpr expr)`
`void` | `visit(PathExpr path)`
`void` | `visit(Predicate predicate)`
`void` | `visit(ProcessingInstructionNodeStep step)`
`void` | `visit(RelationalExpr expr)`
`void` | `visit(TextNodeStep step)`
`void` | `visit(UnaryExpr expr)`
`void` | `visit(UnionExpr expr)`
`void` | `visit(VariableReferenceExpr expr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitorSupport

    public VisitorSupport()

Method Detail

### visit

    public void visit(PathExpr path)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(LocationPath path)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(LogicalExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(EqualityExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(FilterExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(RelationalExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(AdditiveExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(MultiplicativeExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(UnaryExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(UnionExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(NumberExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(LiteralExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(VariableReferenceExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(FunctionCallExpr expr)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(NameStep step)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(ProcessingInstructionNodeStep step)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(AllNodeStep step)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(TextNodeStep step)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(CommentNodeStep step)

  Specified by:
    `visit` in interface `Visitor`

### visit

    public void visit(Predicate predicate)

  Specified by:
    `visit` in interface `Visitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.